diff --git a/web/pgadmin/browser/static/css/wizard.css b/web/pgadmin/browser/static/css/wizard.css
index b3843abf..fc4ebaf4 100644
--- a/web/pgadmin/browser/static/css/wizard.css
+++ b/web/pgadmin/browser/static/css/wizard.css
@@ -121,3 +121,12 @@ div.wizard-header.wizard-badge > div > div.col-sm-2 > button.ajs-maximized.ajs-m
 .select2-container--open {
   z-index: 10000;
 }
+
+.wizard-content h3 {
+  margin-top: 20px !important;
+  margin-bottom: 10px !important;
+}
+
+.wizard-right-panel_content .collapse.in {
+  display: block;
+}
diff --git a/web/pgadmin/static/scss/_bootstrap.overrides.scss b/web/pgadmin/static/scss/_bootstrap.overrides.scss
index 6160a27c..1d3eb2ad 100644
--- a/web/pgadmin/static/scss/_bootstrap.overrides.scss
+++ b/web/pgadmin/static/scss/_bootstrap.overrides.scss
@@ -164,6 +164,7 @@ iframe {
 }
 .checkbox label {
 	padding-left: 0px !important;
+	margin-bottom: 0px !important;
 }
 .bootstrap-switch > .bootstrap-switch-container > input {
 	border: 0px solid $color-fg;
@@ -253,3 +254,7 @@ td.switch-cell > div.bootstrap-switch {
 .btn-toolbar {
   min-width: 100%;
 }
+
+.bootstrap-datetimepicker-widget thead th {
+  background-color: $color-fg-inverse;
+}
\ No newline at end of file
diff --git a/web/pgadmin/tools/grant_wizard/static/scss/_grant_wizard.scss b/web/pgadmin/tools/grant_wizard/static/scss/_grant_wizard.scss
index 465985c5..7e474767 100644
--- a/web/pgadmin/tools/grant_wizard/static/scss/_grant_wizard.scss
+++ b/web/pgadmin/tools/grant_wizard/static/scss/_grant_wizard.scss
@@ -94,11 +94,11 @@
 
 /** Custom styling for Codemirror field **/
 .wizard-right-panel_content {
-  border: 1px solide #ccc;
+  border: 1px $color-gray-light;
 }
 
 .wizard-right-panel_content .CodeMirror {
-  border: 1px solid #ccc;
+  border: 1px solid $color-gray-light;
   height: 285px !important;
   min-height: 285px !important;
 }
